<?php

namespace STM\Match\Action\Player;

use STM\Match\Lineup\MatchPlayer;
use STM\StmFactory;

/**
 * Test class for MatchPlayerAction.
 * Generated by PHPUnit on 2012-07-12 at 09:34:17.
 * @group match_action
 */
class MatchPlayerActionTest extends \PHPUnit_Framework_TestCase {

    private $match_player;
    private $action;
    
    protected function setUp() {        
        $this->match_player = StmFactory::find()->MatchPlayer->findById(1);
        $this->action = StmFactory::find()->MatchAction->findById(1);
    }

    public function testfindById() {
        $player_action = StmFactory::find()->MatchPlayerAction->findById($this->match_player, $this->action, '15');
        if ($player_action) {
            parent::assertInstanceOf('\STM\Match\Action\Player\MatchPlayerAction', $player_action);
        } else {
            parent::assertTrue(is_null($player_action) || $player_action == false);
        }
    }

    public function testCreate() {
        parent::markTestSkipped('test in MatchPlayerActionValidatorTest');
    }

    public function testDelete() {
        parent::markTestSkipped('Only DB fail');
    }

    public function testUpdate() {
        parent::markTestSkipped('test in MatchPlayerActionValidatorTest');
    }

}

?>